Bug 1614753 - FFU: after upgrade finished, Ceph packages can't be updated and "yum update" fails
Summary: FFU: after upgrade finished, Ceph packages can't be updated and "yum update" ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-common
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z2
: 13.0 (Queens)
Assignee: Giulio Fidente
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On: 1558787
Blocks: 1500594
TreeView+ depends on / blocked
 
Reported: 2018-08-10 10:49 UTC by Giulio Fidente
Modified: 2018-12-24 11:40 UTC (History)
4 users (show)

Fixed In Version: openstack-tripleo-common-8.6.3-10.el7ost openstack-tripleo-heat-templates-8.0.4-19.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 16:40:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1785279 None None None 2018-08-10 10:51:14 UTC
OpenStack gerrit 590235 None stable/queens: NEW tripleo-common: Remove ceph-osd after deployment succeeded in containers (I2c02e31e50b382b73a9ab9a4b68a357d2fc01399) 2018-08-13 19:16:12 UTC
OpenStack gerrit 591378 None stable/queens: NEW tripleo-heat-templates: Remove ceph-osd where not needed (Ic19174cdd19f481b7702296d91e21b89cdfac898) 2018-08-13 19:16:07 UTC
Red Hat Product Errata RHBA-2018:2574 None None None 2018-08-29 16:40:12 UTC

Description Giulio Fidente 2018-08-10 10:49:19 UTC
With BZ #1609966 we skip update of the Ceph packages until converge step, to keep the Ceph cluster on baremetal running at all time, on Jewel.

With BZ #1558787 we add the repos to upgrade the packages on baremetal to Luminous, we still miss to find the right place where to plug the yum update. It should happen after ceph-ansible has finished the migration of the running cluster into containers.

This bug will track changes which finally perform the upgrade of the packages installed on the baremetal nodes.

Comment 9 Joanne O'Flynn 2018-08-15 07:51:58 UTC
This bug is marked for inclusion in the errata but does not currently contain draft documentation text. To ensure the timely release of this advisory please provide draft documentation text for this bug as soon as possible.

If you do not think this bug requires errata documentation, set the requires_doc_text flag to "-".


To add draft documentation text:

* Select the documentation type from the "Doc Type" drop down field.

* A template will be provided in the "Doc Text" field based on the "Doc Type" value selected. Enter draft text in the "Doc Text" field.

Comment 11 Yogev Rabl 2018-08-22 01:23:54 UTC
Verified

Comment 13 errata-xmlrpc 2018-08-29 16:40:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2574


Note You need to log in before you can comment on or make changes to this bug.